Skip to content

SSL

All operations require authentication.

6 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List SSL certificatesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/ssl

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

expireDate
stringdate-time

Filter the value of expireDate property (<)

fingerprint
string

Filter the value of fingerprint property (like)

serial
string

Filter the value of serial property (like)

type
SslTypeEnum

Filter the value of type property (=)

Valuesbuiltbuilt_not_routedcustom

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a custom SSL certificateProduction

POST
/1.0/ipLoadbalancing/{serviceName}/ssl

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

certificate
required
string

Certificate

chain
string

Certificate chain

displayName
string

Human readable name for your ssl certificate, this field is for you

key
required
string

Certificate key

Response

200Sslsuccessful operation
displayName
string

Human readable name for your ssl certificate, this field is for you

expireDate
read-only
stringdate-time

Expire date of your SSL certificate

fingerprint
read-only
string

Fingerprint of your SSL certificate

id
read-only
integer

Id of your SSL certificate

san
read-only
string[]

Subject Alternative Name of your SSL certificate

serial
read-only
string

Serial of your SSL certificate (Deprecated, use fingerprint instead !)

subject
read-only
string

Subject of your SSL certificate

type
read-only
SslTypeEnum

Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.

Valuesbuiltbuilt_not_routedcustom

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "expireDate": "2024-01-01T12:00:00Z", "fingerprint": "string", "id": 0, "san": [ "string" ], "serial": "string", "subject": "string", "type": "built"}

Get an SSL certificateProduction

GET
/1.0/ipLoadbalancing/{serviceName}/ssl/{id}

Path parameters

id
required
integer

Id of your SSL certificate

serviceName
required
string

The internal name of your IP load balancing

Response

200Sslsuccessful operation
displayName
string

Human readable name for your ssl certificate, this field is for you

expireDate
read-only
stringdate-time

Expire date of your SSL certificate

fingerprint
read-only
string

Fingerprint of your SSL certificate

id
read-only
integer

Id of your SSL certificate

san
read-only
string[]

Subject Alternative Name of your SSL certificate

serial
read-only
string

Serial of your SSL certificate (Deprecated, use fingerprint instead !)

subject
read-only
string

Subject of your SSL certificate

type
read-only
SslTypeEnum

Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.

Valuesbuiltbuilt_not_routedcustom

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/ssl/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "expireDate": "2024-01-01T12:00:00Z", "fingerprint": "string", "id": 0, "san": [ "string" ], "serial": "string", "subject": "string", "type": "built"}

Delete an SSL certificateProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/ssl/{id}

Path parameters

id
required
integer

Id of your SSL certificate

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/ssl/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an SSL certificateProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/ssl/{id}

Path parameters

id
required
integer

Id of your SSL certificate

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Human readable name for your ssl certificate, this field is for you

expireDate
read-only
stringdate-time

Expire date of your SSL certificate

fingerprint
read-only
string

Fingerprint of your SSL certificate

id
read-only
integer

Id of your SSL certificate

san
read-only
string[]

Subject Alternative Name of your SSL certificate

serial
read-only
string

Serial of your SSL certificate (Deprecated, use fingerprint instead !)

subject
read-only
string

Subject of your SSL certificate

type
read-only
SslTypeEnum

Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.

Valuesbuiltbuilt_not_routedcustom

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/ssl/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Order a free certificateProduction

POST
/1.0/ipLoadbalancing/{serviceName}/freeCertificate

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

fqdn
required
string[]

The FQDN for which you want a free certificate. A DCV (Domain Control Validation) http request will be made to http://your_domain.abc, make sure this domain exists and resolves to your iplb ip before ordering

Response

200Tasksuccessful operation
action
read-only
TaskActionEnum

Operation type

ValuesdeleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetach
creationDate
read-only
stringdate-time

Creation date of your operation

doneDate
read-only
stringdate-time

Done date of your operation

id
read-only
integer

Id of the operation

progress
read-only
integer

Operation progress percentage

status
read-only
TaskStatusEnum

Current status of your operation

Valuesblockedcancelleddoingdoneerrortodo
zones
read-only
string[]

Zone of your Load Balancer which are updated by current Task

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/freeCertificate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}